org.eclipse.emf.cdo.view

## Interface CDOViewProvider.CDOViewProvider2

- All Superinterfaces:
    CDOViewProvider
  All Known Implementing Classes:
    AbstractCDOViewProvider, CDONet4jViewProvider, CDONet4jViewProvider.JVM, CDONet4jViewProvider.SSL, CDONet4jViewProvider.TCP, ManagedContainerViewProvider
  Enclosing interface:
    CDOViewProvider

      public static interface CDOViewProvider.CDOViewProvider2
      extends CDOViewProvider

  Since:
    4.4
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.view.CDOViewProvider

      `CDOViewProvider.CDOViewProvider2`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.view.CDOViewProvider

      `DEFAULT_PRIORITY`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPath(URI uri)`
    `URI` | `getViewURI(CDOView view)`
    `URI` | `getViewURI(URI uri)`

    - ### Methods inherited from interface org.eclipse.emf.cdo.view.CDOViewProvider

      `getPriority, getRegex, getResourceURI, getView, matchesRegex`

- - ### Method Detail

    - #### getViewURI

          URI getViewURI(CDOView view)

    - #### getViewURI

          URI getViewURI(URI uri)

    - #### getPath

          java.lang.String getPath(URI uri)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html